<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.shape.*?>
<?import javafx.scene.text.*?>

<AnchorPane prefHeight="511.0" prefWidth="637.0" xmlns="http://javafx.com/javafx/10.0.2-internal" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.ignas.carrental.controler.AccountController">
    <children>
        <Label layoutX="240.0" layoutY="47.0" text="Account settings" textAlignment="CENTER">
            <font>
                <Font name="System Bold" size="20.0" />
            </font>
        </Label>
        <PasswordField fx:id="textPassword" alignment="CENTER" layoutX="380.0" layoutY="169.0" prefHeight="25.0" prefWidth="184.0" promptText="Old password" />
      <PasswordField fx:id="textNewPassword" alignment="CENTER" layoutX="380.0" layoutY="208.0" prefHeight="25.0" prefWidth="184.0" promptText="New password" />
      <PasswordField fx:id="textRepeatedPassword" alignment="CENTER" layoutX="380.0" layoutY="245.0" prefHeight="25.0" prefWidth="184.0" promptText="Repeat new password" />
        <TextField fx:id="textFirstName" alignment="CENTER" layoutX="82.0" layoutY="169.0" prefHeight="25.0" prefWidth="184.0" promptText="First name" />
        <TextField fx:id="textLastName" alignment="CENTER" layoutX="82.0" layoutY="208.0" prefHeight="25.0" prefWidth="184.0" promptText="Last name" />
        <TextField fx:id="textEmail" alignment="CENTER" layoutX="82.0" layoutY="245.0" prefHeight="25.0" prefWidth="184.0" promptText="Email" />
        <DatePicker fx:id="dateOfBirth" layoutX="82.0" layoutY="282.0" prefHeight="25.0" prefWidth="184.0" promptText="Date of birth" style="-fx-alignment: CENTER;" />
        <Button layoutX="14.0" layoutY="14.0" mnemonicParsing="false" onAction="#back" text="Back" />
      <Label layoutX="127.0" layoutY="135.0" text="Person details" textAlignment="CENTER">
         <font>
            <Font name="System Bold" size="14.0" />
         </font>
      </Label>
      <Label layoutX="414.0" layoutY="135.0" text="Change password" textAlignment="CENTER">
         <font>
            <Font name="System Bold" size="14.0" />
         </font>
      </Label>
      <Line endX="125.0" endY="-32.0" layoutX="200.0" layoutY="168.0" startX="125.0" startY="194.0" />
      <Button layoutX="446.0" layoutY="283.0" mnemonicParsing="false" onAction="#changePassword" text="Submit" />
      <Button layoutX="129.0" layoutY="321.0" mnemonicParsing="false" onAction="#savePersonChanges" text="Save changes" textAlignment="CENTER" />
      <Label fx:id="labelNote" contentDisplay="CENTER" layoutX="251.0" layoutY="97.0" textAlignment="CENTER" textFill="#ff1919" />
      <Button contentDisplay="CENTER" layoutX="256.0" layoutY="445.0" mnemonicParsing="false" onAction="#deletePerson" prefHeight="25.0" prefWidth="139.0" text="Delete account" />
    </children>
</AnchorPane>
